Bug 253586 - [PATCH] databases/oracle8-client: unbreak for 13+
Summary: [PATCH] databases/oracle8-client: unbreak for 13+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Eugene Grosbein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-17 14:08 UTC by Konstantin Stroykovskiy
Modified: 2021-02-19 07:28 UTC (History)
1 user (show)

See Also:


Attachments
Patch needed to build the port (1.51 KB, patch)
2021-02-17 14:08 UTC, Konstantin Stroykovskiy
no flags Details | Diff
fix build for 13+ (1.30 KB, patch)
2021-02-18 07:05 UTC, Eugene Grosbein
eugen: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Stroykovskiy 2021-02-17 14:08:03 UTC
Created attachment 222527 [details]
Patch needed to build the port

Base system objcopy does not have the necessary functionality.
Comment 1 Eugene Grosbein freebsd_committer 2021-02-17 16:24:59 UTC
Base system "objcopy" is the "elfcopy" utility from elftoolchain for supported versions of FreeBSD (11+). It really has working --redefine-syms flag despite its manual pages does not document it.

Have you really tested your patch and with which FreeBSD version?

The change of NO_WERROR to MK_WERROR breaks build for both FreeBSD 11.4 and FreeBSD 12.2.
Comment 2 Eugene Grosbein freebsd_committer 2021-02-18 07:05:14 UTC
Created attachment 222547 [details]
fix build for 13+
Comment 3 Eugene Grosbein freebsd_committer 2021-02-18 07:06:44 UTC
Dear maintainer, please test and approve alternative patch using system objcopy and not breaking build for other stable branches.
Comment 4 Konstantin Stroykovskiy 2021-02-18 12:31:53 UTC
Comment on attachment 222547 [details]
fix build for 13+

Port with this patch is working. Tested on 14.0 and 12.2.
Comment 5 commit-hook freebsd_committer 2021-02-19 07:25:49 UTC
A commit references this bug:

Author: eugen
Date: Fri Feb 19 07:25:33 UTC 2021
New revision: 566032
URL: https://svnweb.freebsd.org/changeset/ports/566032

Log:
  databases/oracle8-client: unbreak build for FreeBSD 13+

  PR:		253586
  Approved by:	Konstantin Stroykovskiy (maintainer)

Changes:
  head/databases/oracle8-client/files/patch-freebsd-Makefile
  head/databases/oracle8-client/files/patch-freebsd-redefine-syms.sh
Comment 6 Eugene Grosbein freebsd_committer 2021-02-19 07:28:29 UTC
Fixed, thank you for the report!